org.eclipse.actf.model.dom.dombycom

## Interface IStyleSheet

    public interface IStyleSheet

Interface to access styleSheet information.

### Method Summary

Methods
`String` `getCssText()`
`String` `getHref()`
`IStyleSheets` `getImports()`
`IStyleSheet` `getParentStyleSheet()`
`IRules` `getRules()`
`String` `getTitle()`

### Method Detail

#### getHref

    String getHref()

Returns:
  the URL of the linked style sheet

#### getTitle

    String getTitle()

Returns:
  the title of this style sheet.

#### getParentStyleSheet

    IStyleSheet getParentStyleSheet()

Returns:
  the `IStyleSheet` that imported this style sheet.

#### getImports

    IStyleSheets getImports()

Returns:
  a collection of imported style sheets from this style sheet.

#### getRules

    IRules getRules()

Returns:
  a collection of rules defined in this style sheet.

#### getCssText

    String getCssText()

Returns:
  the style sheet in text form.